Download it now!
Bug 129250 - Manage changes dialog: (seemingly) useless clickable header for Action column
Summary: Manage changes dialog: (seemingly) useless clickable header for Action column
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2019-12-06 23:21 UTC by Ming Hua
Modified: 2019-12-26 09:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
An example document with three tracked changes (9.31 KB, application/vnd.oasis.opendocument.text)
2019-12-06 23:23 UTC, Ming Hua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ming Hua 2019-12-06 23:21:56 UTC
In the manage changes dialog (Edit -> Track Changes -> Manage...), the list of changes have four columns: Action, Author, Date, and Comment.

All the column headers are clickable.  For the latter three, clicking the header will sort the list in ascending/descending order, with an arrow shown on the header for indication.  However, clicking on the Action header doesn't seem to change the list order in any meaningful way, or changing the order at all.

Currently there seems to be only two kinds of actions - addition and deletion.  Sorting based on this doesn't make much sense anyway.  I am not sure what the correct solution is, though.

I first notice this bug in 6.2.x series, but I can also reproduce in 6.3.x as well as 6.4.0 beta1, all on Windows 10.  So I'm not bothering with the "About LO" information here.
Comment 1 Ming Hua 2019-12-06 23:23:51 UTC
Created attachment 156381 [details]
An example document with three tracked changes

This should be easily reproduced with any file containing tracked changes.  But for convenience I'm attaching an example.
Comment 2 Dieter 2019-12-09 12:25:46 UTC
I confirm it with

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 89f0af144c18efafe2573801641689a1432c0cae
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

I can't see icons in action column in

Version: 6.3.4.1 (x64)
Build-ID: a21169d87339dfa44546f33d6d159e89881e9d92
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded


It works with

Version: 6.1.6.3 (x64)
Build ID: 5896ab1714085361c45cf540f76f60673dd96a72
Threads CPU : 4; OS : Windows 10.0; UI Render : GL; 
Locale : de-DE (de_DE); Calc: group threaded
Comment 3 raal 2019-12-09 22:29:35 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

01cfa1522e70a467cd7157188de4dd8d9b809493 is the first bad commit
commit 01cfa1522e70a467cd7157188de4dd8d9b809493
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat Apr 27 13:53:31 2019 +0200

    source sha:56dd851cfc77c362c3db5c0aae4a490c7f6782cc
author	Caolán McNamara <caolanm@redhat.com>	2019-04-18 16:49:26 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-27 12:41:14 +0200
commit	56dd851cfc77c362c3db5c0aae4a490c7f6782cc (patch)
tree	0f5f6564e0b9af8123f4cebfe9a2f55c1bbbba57
parent	6afbe153ffd4cab27f0a7bb77f71f25923dc2e43 (diff)
weld cluster of change tracking dialogs
Comment 4 Caolán McNamara 2019-12-10 10:37:42 UTC
FWIW apparently there are 10 different change tracking types in writer.
Comment 5 Commit Notification 2019-12-10 11:49:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e6271a8a4eafcbb357bbd3cf21126f64b45125e9

Resolves: tdf#129250 move redline type into RedlinData so we can sort on it

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-12-11 09:27:49 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: b9d6ea1dd7541c4bd866571f9e3f0aa894687c07
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 7 Commit Notification 2019-12-11 09:29:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c6c75d7ba2633316e53366450343d56956c58391

Resolves: tdf#129250 move redline type into RedlinData so we can sort on it

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-11 09:30:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/2f6fb28ded84878c5a19453f5076309505e30f0a

Resolves: tdf#129250 move redline type into RedlinData so we can sort on it

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Ming Hua 2019-12-11 14:30:42 UTC
Thanks for the quick fix, Caolán!

(In reply to Caolán McNamara from comment #4)
> FWIW apparently there are 10 different change tracking types in writer.
Hmm, I would have never guessed.  Although my comment was mainly about the fact that a simple "replace a word" change is represented by an addition and a deletion in the changes list, and sorting by Action would separate them.

But that's the topic of another bug.
Comment 10 Ming Hua 2019-12-24 12:06:25 UTC
Also verified in

Version: 6.4.0.1 (x64)
Build ID: 1b6477b31f0334bd8620a96f0aeeb449b587be9f
CPU threads: 2; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: zh-CN (zh_CN); UI-Language: en-US
Calc: threaded

I'm assuming Caolán just forgot to close this bug, so I'm changing it to RESOLVED - FIXED.